### ip::address_v6_range

Represents a range of IPv6 addresses.

    typedef basic_address_range< address_v6 > address_v6_range;

##### Types

Name | Description
--- | ---
iterator | The type of an iterator that points into the range.

##### Member Functions

Name | Description
--- | ---
basic_address_range | Construct an empty range. — Construct an range that represents the given range of addresses. — Copy constructor. — Move constructor.
begin | Obtain an iterator that points to the start of the range.
empty | Determine whether the range is empty.
end | Obtain an iterator that points to the end of the range.
find | Find an address in the range.
operator= | Assignment operator. — Move assignment operator.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

##### Requirements

Header: `asio/ip/address_v6_range.hpp`

Convenience header: `asio.hpp`